Subject: Re: Dump of TCP hang in established state

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 21 May 2003 11:58:34 -0700

Martin Josefsson wrote:

>>Can anyone tell me what to do to reproduce this?
> 
> I've now tried my distcc stuff again. With TCP_CORK enabled I don't have
> any problem reproducing the hangs, 1 in 3 shows at least one hang. But
> so far I havn't been able to reproduce it with TCP_CORK disabled. I'll
> keep compiling a few more times, I've only run 10 compilations so far.
> 
> When using distcc you know you have a hang when it stops at the
> object-linking for a while waiting for one process to finish.
> 

Thanks, Martin..

Which kernels are you currently using?
Were you able to reproduce this with 2.5.69 at both
ends?

I just took a look at your previous trace. I'n not absolutely
sure my previous report of a hang is the same issue, only because
in that case the connection did not revive, whereas in your
case after the 1 second approximate stall, it continues..
(havent stepped through everything yet).

thanks,
Nivedita